<!DOCTYPE html>
<html>
	<head>
		<title>DYSS</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link type="text/css" href="<?php echo base_url('styles/dyss.css'); ?>" rel="stylesheet" />
		<link type="text/css" href="<?php echo base_url('styles/keplista.css'); ?>" rel="stylesheet" />
	</head>
	<body>
		<header>
			<div>
				<h1><?php echo anchor('main/index', 'DYSS'); ?></h1>
				<?php if ($belepve) : ?>
					<p><a href="<?php echo site_url('bemutato/lista'); ?>" class="button"><span><?php echo $azonosito; ?> fiókja</span></a> <a href="<?php echo site_url('auth/logout'); ?>" class="button"><span><?php echo lang('template_kilepes'); ?></span></a></p>
				<?php else : ?>
					<p><a href="<?php echo site_url('auth/index'); ?>" class="button"><span>Lépj be!</span></a> vagy <a href="<?php echo site_url('auth/regisztralas'); ?>" class="button"><span>Regisztrálj!</span></a></p>
				<?php endif; ?>
			</div>
		</header>
		<div id="content">
			<aside>
				<nav>
					<ul>
						<li><?php echo anchor('bemutato/lista', lang('template_bemutatoim')); ?></li>
						<li><?php echo anchor('bemutato/lista', lang('template_profilom')); ?></li>
						<li><?php echo anchor('bemutato/lista', lang('template_kilepes')); ?></li>
					</ul>
				</nav>
			</aside>
			<div id="main_content">
				<?php echo $content; ?>
				<div class="separator"></div>
			</div>
			<div class="separator"></div>
		</div>
		<footer>&copy; Horváth Győző, Eötvös Loránd Tudományegyetem, Informatika Kar</footer>
	</body>
</html>
